<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>kgraphinterface.kdevelop: NodeContent Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.7 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li id="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul></div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul></div>
<h1>NodeContent Class Reference</h1><!-- doxytag: class="NodeContent" --><code>#include &lt;<a class="el" href="nodecontent_8h-source.html">nodecontent.h</a>&gt;</code>
<p>
<a href="classNodeContent-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ba2320c6105f963fca3a9ffedfec7f5541e03c8fe8ba7ead6f2b2a1a231ce964"></a><!-- doxytag: member="NodeContent::Text" ref="ba2320c6105f963fca3a9ffedfec7f5541e03c8fe8ba7ead6f2b2a1a231ce964" args="" -->
&nbsp;</td><td class="memItemRight" valign="bottom"><b>Text</b></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ba2320c6105f963fca3a9ffedfec7f5550de76a19e4c42108ffa9c3508dfdf2a"></a><!-- doxytag: member="NodeContent::Html" ref="ba2320c6105f963fca3a9ffedfec7f5550de76a19e4c42108ffa9c3508dfdf2a" args="" -->
&nbsp;</td><td class="memItemRight" valign="bottom"><b>Html</b></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><b>ContentType</b> { <b>Text</b>, 
<b>Html</b>
 }</td></tr>

<tr><td colspan="2"><br><h2>Public Slots</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeContent.html#2ede661da81f46f5ee7354bf20f4e2a9">windowClosed</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeContent.html#21e23187118ba246cc2e238809a1e428">unpopWidget</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b63c39762f6eef136863ab1579f14586"></a><!-- doxytag: member="NodeContent::popWidget" ref="b63c39762f6eef136863ab1579f14586" args="()" -->
void&nbsp;</td><td class="memItemRight" valign="bottom"><b>popWidget</b> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c6f493de4c33d2225bfc6849dd447eb3"></a><!-- doxytag: member="NodeContent::partNotLoad" ref="c6f493de4c33d2225bfc6849dd447eb3" args="()" -->
void&nbsp;</td><td class="memItemRight" valign="bottom"><b>partNotLoad</b> ()</td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeContent.html#1e213fbd97890892ec6eb4c5ff152bd8">NodeContent</a> (Node *node, QString name, int type)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeContent.html#0ba4d6ec4eb72f60cf71ef799f7bfe24">save</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">QString&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeContent.html#5308c1574e52a308652528bbec86f016">toXml</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">QWidget *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeContent.html#31c1ea399b541e0cf0b804c76c362b23">getWidget</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">QString&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeContent.html#e55eab0a797aa5382d8efa21020c1993">getName</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeContent.html#c836f6f71e25f099831a6cafcb189ce9">getType</a> ()</td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">QWidget *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeContent.html#8e0f960d19b9283fdd9ea12a3aa67e86">widget</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">Node *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeContent.html#598969cf4e0a4a8518e19224f469bc3e">parent_node</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">ContentWindow *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeContent.html#14b1b45d5c252ae13c802a466b66eb0b">window</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<dl compact><dt><b>Author:</b></dt><dd>Schpilka Yannick &lt;<a href="mailto:schpilka@gmail.com">schpilka@gmail.com</a>&gt;</dd></dl>
Representation abstraite du contenu d'un noeud 
<p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="1e213fbd97890892ec6eb4c5ff152bd8"></a><!-- doxytag: member="NodeContent::NodeContent" ref="1e213fbd97890892ec6eb4c5ff152bd8" args="(Node *node, QString name, int type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">NodeContent::NodeContent           </td>
          <td>(</td>
          <td class="paramtype">Node *&nbsp;</td>
          <td class="paramname"> <em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>type</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
default constructor 
</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="e55eab0a797aa5382d8efa21020c1993"></a><!-- doxytag: member="NodeContent::getName" ref="e55eab0a797aa5382d8efa21020c1993" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QString NodeContent::getName           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
get nom de contenu 
</div>
</div><p>
<a class="anchor" name="c836f6f71e25f099831a6cafcb189ce9"></a><!-- doxytag: member="NodeContent::getType" ref="c836f6f71e25f099831a6cafcb189ce9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int NodeContent::getType           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
get type de contenu 
</div>
</div><p>
<a class="anchor" name="31c1ea399b541e0cf0b804c76c362b23"></a><!-- doxytag: member="NodeContent::getWidget" ref="31c1ea399b541e0cf0b804c76c362b23" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QWidget* NodeContent::getWidget           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
get ptr sur le widget 
</div>
</div><p>
<a class="anchor" name="0ba4d6ec4eb72f60cf71ef799f7bfe24"></a><!-- doxytag: member="NodeContent::save" ref="0ba4d6ec4eb72f60cf71ef799f7bfe24" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool NodeContent::save           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
sauvegarde du contenu 
</div>
</div><p>
<a class="anchor" name="5308c1574e52a308652528bbec86f016"></a><!-- doxytag: member="NodeContent::toXml" ref="5308c1574e52a308652528bbec86f016" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QString NodeContent::toXml           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
representation au format xml 
</div>
</div><p>
<a class="anchor" name="21e23187118ba246cc2e238809a1e428"></a><!-- doxytag: member="NodeContent::unpopWidget" ref="21e23187118ba246cc2e238809a1e428" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void NodeContent::unpopWidget           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [slot]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
desisole le widget 
</div>
</div><p>
<a class="anchor" name="2ede661da81f46f5ee7354bf20f4e2a9"></a><!-- doxytag: member="NodeContent::windowClosed" ref="2ede661da81f46f5ee7354bf20f4e2a9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void NodeContent::windowClosed           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [slot]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
affichage isole du contenu d'un noeud 
</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="598969cf4e0a4a8518e19224f469bc3e"></a><!-- doxytag: member="NodeContent::parent_node" ref="598969cf4e0a4a8518e19224f469bc3e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Node* <a class="el" href="classNodeContent.html#598969cf4e0a4a8518e19224f469bc3e">NodeContent::parent_node</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
noeud parent 
</div>
</div><p>
<a class="anchor" name="8e0f960d19b9283fdd9ea12a3aa67e86"></a><!-- doxytag: member="NodeContent::widget" ref="8e0f960d19b9283fdd9ea12a3aa67e86" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QWidget* <a class="el" href="classNodeContent.html#8e0f960d19b9283fdd9ea12a3aa67e86">NodeContent::widget</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
le widget contenu 
</div>
</div><p>
<a class="anchor" name="14b1b45d5c252ae13c802a466b66eb0b"></a><!-- doxytag: member="NodeContent::window" ref="14b1b45d5c252ae13c802a466b66eb0b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ContentWindow* <a class="el" href="classNodeContent.html#14b1b45d5c252ae13c802a466b66eb0b">NodeContent::window</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
fenetre d'affichage isole 
</div>
</div><p>
<hr>The documentation for this class was generated from the following files:<ul>
<li>kgraphinterface/src/<a class="el" href="nodecontent_8h-source.html">nodecontent.h</a><li>kgraphinterface/src/nodecontent.cpp</ul>
<hr size="1"><address style="align: right;"><small>Generated on Sun Jun 10 14:17:39 2007 for kgraphinterface.kdevelop by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.7 </small></address>
</body>
</html>
